Withdraw a stack profile suggestion
import requests
url = "https://platform.ankra.app/api/v1/org/stack-profiles/{profile_id}/suggestions/{suggestion_id}/withdraw"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/stack-profiles/{profile_id}/suggestions/{suggestion_id}/withdraw', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://platform.ankra.app/api/v1/org/stack-profiles/{profile_id}/suggestions/{suggestion_id}/withdraw \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"profile_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"proposer_organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"proposer_organisation_name": "<string>",
"proposer_organisation_slug": "<string>",
"created_by_user_id": "<string>",
"title": "<string>",
"description": "<string>",
"base_version": 123,
"status": "open",
"resolution_note": "<string>",
"resolved_by_user_id": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"applied_version": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"is_proposer": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Stack Profiles
Withdraw a stack profile suggestion
Withdraws an open suggestion your organisation submitted.
POST
/
api
/
v1
/
org
/
stack-profiles
/
{profile_id}
/
suggestions
/
{suggestion_id}
/
withdraw
Withdraw a stack profile suggestion
import requests
url = "https://platform.ankra.app/api/v1/org/stack-profiles/{profile_id}/suggestions/{suggestion_id}/withdraw"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/stack-profiles/{profile_id}/suggestions/{suggestion_id}/withdraw', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://platform.ankra.app/api/v1/org/stack-profiles/{profile_id}/suggestions/{suggestion_id}/withdraw \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"profile_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"proposer_organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"proposer_organisation_name": "<string>",
"proposer_organisation_slug": "<string>",
"created_by_user_id": "<string>",
"title": "<string>",
"description": "<string>",
"base_version": 123,
"status": "open",
"resolution_note": "<string>",
"resolved_by_user_id": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"applied_version": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"is_proposer": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Suggestion withdrawn
A change to a profile proposed by another organisation.
Available options:
open, approved, rejected, withdrawn True when the caller's organisation submitted it.